com.taosdata.jdbc.ws.tmq.entity

## Class ConsumerParam

- java.lang.Object
- - com.taosdata.jdbc.ws.tmq.entity.ConsumerParam

    public class ConsumerParam
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ConsumerParam(Properties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getAutoCommitInterval()`
`String` `getClientId()`
`HashMap<String,String>` `getConfig()`
`ConnectionParam` `getConnectionParam()`
`String` `getEnableBatchMeta()`
`String` `getGroupId()`
`String` `getMsgWithTableName()`
`String` `getOffsetRest()`
`boolean` `isAutoCommit()`
`void` `setAutoCommitInterval(long autoCommitInterval)`
`void` `setClientId(String clientId)`
`void` `setConnectionParam(ConnectionParam connectionParam)`
`void` `setEnableBatchMeta(String enableBatchMeta)`
`void` `setGroupId(String groupId)`
`void` `setMsgWithTableName(String msgWithTableName)`
`void` `setOffsetRest(String offsetRest)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConsumerParam

    public ConsumerParam(Properties properties)
                  throws SQLException

Throws:
  `SQLException`

### Method Detail

#### getConnectionParam

    public ConnectionParam getConnectionParam()

#### setConnectionParam

    public void setConnectionParam(ConnectionParam connectionParam)

#### getGroupId

    public String getGroupId()

#### setGroupId

    public void setGroupId(String groupId)

#### getClientId

    public String getClientId()

#### setClientId

    public void setClientId(String clientId)

#### getOffsetRest

    public String getOffsetRest()

#### setOffsetRest

    public void setOffsetRest(String offsetRest)

#### isAutoCommit

    public boolean isAutoCommit()

#### getAutoCommitInterval

    public long getAutoCommitInterval()

#### setAutoCommitInterval

    public void setAutoCommitInterval(long autoCommitInterval)

#### getMsgWithTableName

    public String getMsgWithTableName()

#### setMsgWithTableName

    public void setMsgWithTableName(String msgWithTableName)

#### getEnableBatchMeta

    public String getEnableBatchMeta()

#### setEnableBatchMeta

    public void setEnableBatchMeta(String enableBatchMeta)

#### getConfig

    public HashMap<String,String> getConfig()